import { PlatformAccessory, CharacteristicValue } from 'homebridge';
import { HomebridgeHomeWizardEnergySocket } from './platform';
import { EnergySocketApi, StateResponse, IdentifyResponse } from 'homewizard-energy-api';
import { HomeWizardEnergyPlatformAccessoryContext } from './types';
export declare class EnergySocketAccessory {
    private readonly platform;
    private readonly accessory;
    private service;
    private informationService;
    private properties;
    private energySocketApi;
    private localStateResponse;
    private config;
    longPollErrorCount: number;
    longPollCrossedThresholdAboveAt: Date | null;
    longPollCrossedThresholdBelowAt: Date | null;
    constructor(platform: HomebridgeHomeWizardEnergySocket, accessory: PlatformAccessory<HomeWizardEnergyPlatformAccessoryContext>, api: EnergySocketApi);
    get log(): {
        info: (...parameters: any[]) => void;
        warn: (...parameters: any[]) => void;
        error: (...parameters: any[]) => void;
        debug: (...parameters: any[]) => void;
    };
    get initialIsOutletInUse(): boolean;
    get firmwareVersion(): number | null;
    get isOutletInUse(): boolean;
    get thresholdDurationInMs(): number;
    get isThresholdCrossedAboveAfterDuration(): boolean | null;
    get isThresholdCrossedBelowAfterDuration(): boolean | null;
    get isSwitchLockEnabled(): boolean;
    get modelName(): string;
    getIsActivePowerAboveThreshold(activePower: number | null | undefined): boolean;
    setOutletInUse(value: boolean, activePower: number | null | undefined): void;
    setLocalStateResponse(response: StateResponse): void;
    syncOutletInUseStateWithOnState(isOn: boolean): void;
    longPollData(): Promise<void>;
    handleIdentify(): Promise<IdentifyResponse>;
    handleSetOn(value: CharacteristicValue): Promise<void>;
    handleGetOn(): Promise<CharacteristicValue>;
    handleAccessoryApiError(error: unknown, fallbackErrorMessage?: string): import("homebridge").HapStatusError;
}
//# sourceMappingURL=energy-socket-accessory.d.ts.map